View Issue Details

IDProjectCategoryView StatusLast Update
0006443Talermerchant backend API (HTTP specification)public2020-07-28 03:52
Reporterjonathanbuchanan Assigned Tojonathanbuchanan  
PrioritynormalSeverityminorReproducibilityN/A
Status resolvedResolutionfixed 
Product Versiongit (master) 
Target Version0.8Fixed in Version0.8 
Summary0006443: Expand information returned in GET /private/orders.
DescriptionCurrently, this method is only specified to return the id of each order, but the implementation also returns the row number and timestamp. The spec should reflect this, and also should return the order amount and summary.
TagsNo tags attached.

Activities

jonathanbuchanan

2020-07-25 03:07

developer   ~0016521

Spec changed in 471480d..b2deb4d.

jonathanbuchanan

2020-07-27 22:09

developer   ~0016529

Implemented in 608d276..5907099.

Issue History

Date Modified Username Field Change
2020-07-24 23:43 jonathanbuchanan New Issue
2020-07-24 23:43 jonathanbuchanan Status new => assigned
2020-07-24 23:43 jonathanbuchanan Assigned To => jonathanbuchanan
2020-07-25 03:07 jonathanbuchanan Note Added: 0016521
2020-07-27 22:09 jonathanbuchanan Status assigned => resolved
2020-07-27 22:09 jonathanbuchanan Resolution open => fixed
2020-07-27 22:09 jonathanbuchanan Note Added: 0016529
2020-07-28 03:52 Christian Grothoff Product Version => git (master)
2020-07-28 03:52 Christian Grothoff Fixed in Version => 0.8